# File Class Reference

Helper class to read a file. More...

## Public Member Functions
| File (const char *filename)
| Create the helper by opening the given file.
| ~File ()
| Free everything we have allocated.
char | GetChar () const
| Get a single character from the file.
const char * | GetDirname () const
| Get the directory name of the file.
## Private Attributes
FILE * | fp
| The currently opened file.
char * | dirname
| The directory of the file.
const char * | filename
| The name of the file.

## Detailed Description

Helper class to read a file.

Definition at line 69 of file depend.cpp.

## Constructor & Destructor Documentation

File::File | ( | const char * | filename | ) | `[inline]`

Create the helper by opening the given file.

Parameters:

  | filename | the file to open

Postcondition:
  the file is open; otherwise the application is killed.

Definition at line 76 of file depend.cpp.

References dirname, and fp.

File::~File | ( |  | ) | `[inline]`

Free everything we have allocated.

Definition at line 93 of file depend.cpp.

References dirname, and fp.

## Member Function Documentation

char File::GetChar | ( |  | ) | const`[inline]`

Get a single character from the file.

If we are reading beyond the end of the file '' is returned.

Returns:
  the read character.

Definition at line 104 of file depend.cpp.

References fp.

Referenced by Lexer::Next().

const char* File::GetDirname | ( |  | ) | const`[inline]`

Get the directory name of the file.

Returns:
  the directory name.

Definition at line 114 of file depend.cpp.

References dirname.

Referenced by ScanFile().

The documentation for this class was generated from the following file:

- src/depend/depend.cpp